<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" 
          content="width=device-width, initial-scale=1">    
    <title>Formulário e Controles jQuery Mobile</title>
    <link rel="stylesheet" href="jquery.mobile-1.4.2.css"/>
    <script src="jquery-1.11.0.js"></script>
    <script src="jquery.mobile-1.4.2.js"></script>    
</head>
<body>
    
    <div id="paginaMenu" data-role="page">
       <div data-role="header">
          <h1>Menu</h1> 
       </div>
       <div data-role="content">    
   
           <div data-role="controlgroup">
<a data-role="button" href="#paginaDetalhes">Detalhes</a>
<a data-role="button" href="#paginaListas">Listas</a>
<a data-role="button" href="#paginaInputs">Inputs</a>
<a data-role="button" href="#paginaOutros">Outros</a>
               </div>
           
       </div>        
       <div data-role="footer" data-position="fixed">        
          <h3>Rodapé</h3> 
       </div>         
    </div>   
    
    
    <div id="paginaDetalhes" data-role="page">
       <div data-role="header">
           <a href="#paginaMenu">Voltar</a>
          <h1>Detalhes</h1> 
       </div>
       <div data-role="content">
          
<form method="get"action="">
<label for="txtNome">Nome</label>
<input type="text"name="txtNome"id="txtNome"
value=""placeholder="Digite aqui"/>
<label for="txtSobrenome">Sobrenome</label>
<input type="text"name="txtSobrenome"id="txtSobrenome"
value=""placeholder="Digite aqui"/>
<input type="button"class=""value="Enviar"/>
</form>
           
           
       </div>
       <div data-role="footer" data-position="fixed">        
          <h3>Rodapé</h3> 
       </div>         
    </div>    
    
    
    <div id="paginaListas" data-role="page">
       <div data-role="header">
           <a href="#paginaMenu">Voltar</a>
          <h1>Listas</h1> 
       </div>
       <div data-role="content">
          <h2>Lista com Ícones</h2>
<ul data-role="listview">
<li><a href="#"><img src="chicoanisio.jpg"
class="ui-li-icon">Chico Anísio</a></li>
<li><a href="#"><img src="fabiojunior.jpg"
class="ui-li-icon">Fábio Junior</a></li>
<li><a href="#"><img src="jimcarrey.jpg"
class="ui-li-icon">Jim Carrey</a></li>
<li><a href="#"><img src="josoares.jpg"
class="ui-li-icon">Jô Soares</a></li>
<li><a href="#"><img src="michael.jpg"
class="ui-li-icon">Michael Jackson</a></li>
</ul>         
       </div>
       <div data-role="footer" data-position="fixed">        
          <h3>Rodapé</h3> 
       </div>         
    </div> 
    
    
     <div id="paginaInputs" data-role="page">
       <div data-role="header">
           <a href="#paginaMenu">Voltar</a>
          <h1>Inputs</h1> 
       </div>
       <div data-role="content">
           <label for="idtext">Texto</label>
<input id="idtext" type="text"data-clear-btn="true" />
           <label for="idsearch">Busca</label>
<input id="idsearch" type="search" name=""value=""/>
           <label for="idtextarea">Bloco</label>
<textarea name="" id="idtextarea"></textarea>
           <label for="idnumber">Número</label>
<input id="idnumber" type="number"pattern="[0-9]*" ... />
           <label for="iddate">Data</label>
<input type="date" name=""id="iddate"value=""/>
           <label for="idmonth">Mês</label>
<input type="month"name=""id="idmonth"value=""/>
           <label for="idweek">Semana</label>
<input type="week"name=""id="idweek"value=""/>
           <label for="idtime">Hora</label>
<input type="time"name=""id="idtime"value=""/>
           <label for="iddatetime">Data e Hora</label>
<input type="datetime"name=""id="iddatetime"value=""/>
           <label for="iddatetimelocal">Data e Hora Local</label>
<input type="datetime-local"name=""id="iddatetimelocal"value=""/>
           <label for="idtel">Telefone</label>
<input type="tel"name=""id="idtel"value=""/>
           <label for="idemail">E-mail</label>
<input type="email" name=""id="idemail"value=""/>
           <label for="idurl">Url</label>
<input type="url"name=""id="idurl"value=""/>
           <label for="idpassword">Senha</label>
<input type="password"autocomplete="off" id="idpassword"/>
           <label for="idcolor">Cores</label>
<input type="color"name=""id="idcolor"value=""/>
           <label for="idfile">Arquivo</label>
<input type="file"name=""id="idfile"value=""/>
           
       </div>
       <div data-role="footer" data-position="fixed">        
          <h3>Rodapé</h3> 
       </div>         
    </div> 
    
    
<div id="paginaOutros" data-role="page">
       <div data-role="header">
           <a href="#paginaMenu">Voltar</a>
          <h1>Outros</h1> 
       </div>
       <div data-role="content">
           
         <fieldset data-role="controlgroup"data-type="vertical">
<legend>Vertical</legend>
<input type="checkbox"name="chk1"id="chk1"
checked="checked">
<label for="chk1">Um</label>
<input type="checkbox"name="chk2"id="chk2">
<label for="chk2">Dois</label>
</fieldset>
           
 <fieldset data-role="controlgroup"data-type="vertical">           
           <label>
<input type="radio" name="radUm"id="radUm">
Um
</label>
<label for="radDois">Dois</label>
<input type="radio"name="radDois"id="radDois">
     </fieldset>
           
           <label for="bool">Ligado</label>
<select name="bool"id="bool"data-role="slider">
<option>Não</option>
<option>Sim</option>
</select>
           
           <label for="lista">ListaSuspensa</label>
<select name="lista"id="lista">
<option value="jan">Janeiro</option>
<option value="fev">Fevereiro</option>
<option value="mar">Março</option>
<option value="abr">Abril</option>
<option value="mai">Maio</option>
<option value="jun">Junho</option>
<option value="jul">Julho</option>
<option value="ago">Agosto</option>
<option value="set">Setembro</option>
<option value="out">Outubro</option>
<option value="nov">Novembro</option>
<option value="dez">Dezembro</option>
</select>
           
           <h2>ListaNormal</label>
<ul data-role="listview">
<li><a href="#">Item 1</a></li>
<li><a href="#">Item 2</a></li>
<li><a href="#">Item 3</a></li>
<li><a href="#">Item 4</a></li>
<li><a href="#">Item 5</a></li>
<li><a href="#">Item 6</a></li>
<li><a href="#">Item 7</a></li>
<li><a href="#">Item 8</a></li>
<li><a href="#">Item 9</a></li>
</select>
           
           
           
           
           
       </div>
       <div data-role="footer" data-position="fixed">        
          <h3>Rodapé</h3> 
       </div>         
    </div>     
    
</body>
</html>